# PasswordUtils (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.userauth.password
Class PasswordUtils

    java.lang.Object
      net.schmizz.sshj.userauth.password.PasswordUtils

    public class PasswordUtils

extends Object

Static utility method and factories

Constructor Summary
`PasswordUtils()`

Method Summary
`static void` `blankOut(char[] pwd)` Blank out a character array
`static PasswordFinder` `createOneOff(char[] password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordUtils

    public PasswordUtils()

Method Detail

### blankOut

    public static void blankOut(char[] pwd)

  Blank out a character array

  Parameters:
    `pwd` - the character array

### createOneOff

    public static PasswordFinder createOneOff(char[] password)

  Parameters:
    `password` - the password as a char[]
  Returns:
    the constructed `PasswordFinder`

Copyright © 2009-2012. All Rights Reserved.